package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */

@TableName("ROUTER_STEP")

public class RouterStep extends Model<RouterStep> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("ROUTER_BO")
   private String routerBo;
   @TableField("STEP_ID")
   private String stepId;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("REWORK")
   private String rework;
   @TableField("QUEUE_DECISION_TYPE")
   private String queueDecisionType;
   @TableField("ROUTER_COMP_GBO")
   private String routerCompGbo;
   @TableField("REPORTING_STEP")
   private String reportingStep;
   @TableField("SEQUENCE")
   private Long sequence;
   @TableField("REPORTING_CENTER_BO")
   private String reportingCenterBo;
   @TableField("TABULAR_STEP_TYPE")
   private String tabularStepType;
   @TableField("SCRAP_REPORTING_STEP")
   private String scrapReportingStep;
   @TableField("IS_LAST_REPORTING_STEP")
   private String isLastReportingStep;
   @TableField("ERP_SEQUENCE")
   private String erpSequence;
   @TableField("ERP_CONTROL_KEY_BO")
   private String erpControlKeyBo;
   @TableField("ERP_WORK_CENTER_BO")
   private String erpWorkCenterBo;
   @TableField("ERP_INSPECTION_COMPLETE")
   private String erpInspectionComplete;
   @TableField("ERP_OPERATION")
   private String erpOperation;
   @TableField("OPERATION_ACTIVITY_ID")
   private String operationActivityId;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getRouterBo() {
      return routerBo;
   }

   public void setRouterBo(String routerBo) {
      this.routerBo = routerBo;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getRework() {
      return rework;
   }

   public void setRework(String rework) {
      this.rework = rework;
   }

   public String getQueueDecisionType() {
      return queueDecisionType;
   }

   public void setQueueDecisionType(String queueDecisionType) {
      this.queueDecisionType = queueDecisionType;
   }

   public String getRouterCompGbo() {
      return routerCompGbo;
   }

   public void setRouterCompGbo(String routerCompGbo) {
      this.routerCompGbo = routerCompGbo;
   }

   public String getReportingStep() {
      return reportingStep;
   }

   public void setReportingStep(String reportingStep) {
      this.reportingStep = reportingStep;
   }

   public Long getSequence() {
      return sequence;
   }

   public void setSequence(Long sequence) {
      this.sequence = sequence;
   }

   public String getReportingCenterBo() {
      return reportingCenterBo;
   }

   public void setReportingCenterBo(String reportingCenterBo) {
      this.reportingCenterBo = reportingCenterBo;
   }

   public String getTabularStepType() {
      return tabularStepType;
   }

   public void setTabularStepType(String tabularStepType) {
      this.tabularStepType = tabularStepType;
   }

   public String getScrapReportingStep() {
      return scrapReportingStep;
   }

   public void setScrapReportingStep(String scrapReportingStep) {
      this.scrapReportingStep = scrapReportingStep;
   }

   public String getIsLastReportingStep() {
      return isLastReportingStep;
   }

   public void setIsLastReportingStep(String isLastReportingStep) {
      this.isLastReportingStep = isLastReportingStep;
   }

   public String getErpSequence() {
      return erpSequence;
   }

   public void setErpSequence(String erpSequence) {
      this.erpSequence = erpSequence;
   }

   public String getErpControlKeyBo() {
      return erpControlKeyBo;
   }

   public void setErpControlKeyBo(String erpControlKeyBo) {
      this.erpControlKeyBo = erpControlKeyBo;
   }

   public String getErpWorkCenterBo() {
      return erpWorkCenterBo;
   }

   public void setErpWorkCenterBo(String erpWorkCenterBo) {
      this.erpWorkCenterBo = erpWorkCenterBo;
   }

   public String getErpInspectionComplete() {
      return erpInspectionComplete;
   }

   public void setErpInspectionComplete(String erpInspectionComplete) {
      this.erpInspectionComplete = erpInspectionComplete;
   }

   public String getErpOperation() {
      return erpOperation;
   }

   public void setErpOperation(String erpOperation) {
      this.erpOperation = erpOperation;
   }

   public String getOperationActivityId() {
      return operationActivityId;
   }

   public void setOperationActivityId(String operationActivityId) {
      this.operationActivityId = operationActivityId;
   }

public static final String HANDLE = "HANDLE";

public static final String ROUTER_BO = "ROUTER_BO";

public static final String STEP_ID = "STEP_ID";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String REWORK = "REWORK";

public static final String QUEUE_DECISION_TYPE = "QUEUE_DECISION_TYPE";

public static final String ROUTER_COMP_GBO = "ROUTER_COMP_GBO";

public static final String REPORTING_STEP = "REPORTING_STEP";

public static final String SEQUENCE = "SEQUENCE";

public static final String REPORTING_CENTER_BO = "REPORTING_CENTER_BO";

public static final String TABULAR_STEP_TYPE = "TABULAR_STEP_TYPE";

public static final String SCRAP_REPORTING_STEP = "SCRAP_REPORTING_STEP";

public static final String IS_LAST_REPORTING_STEP = "IS_LAST_REPORTING_STEP";

public static final String ERP_SEQUENCE = "ERP_SEQUENCE";

public static final String ERP_CONTROL_KEY_BO = "ERP_CONTROL_KEY_BO";

public static final String ERP_WORK_CENTER_BO = "ERP_WORK_CENTER_BO";

public static final String ERP_INSPECTION_COMPLETE = "ERP_INSPECTION_COMPLETE";

public static final String ERP_OPERATION = "ERP_OPERATION";

public static final String OPERATION_ACTIVITY_ID = "OPERATION_ACTIVITY_ID";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "RouterStep{" +
         "handle = " + handle +
         ", routerBo = " + routerBo +
         ", stepId = " + stepId +
         ", description = " + description +
         ", rework = " + rework +
         ", queueDecisionType = " + queueDecisionType +
         ", routerCompGbo = " + routerCompGbo +
         ", reportingStep = " + reportingStep +
         ", sequence = " + sequence +
         ", reportingCenterBo = " + reportingCenterBo +
         ", tabularStepType = " + tabularStepType +
         ", scrapReportingStep = " + scrapReportingStep +
         ", isLastReportingStep = " + isLastReportingStep +
         ", erpSequence = " + erpSequence +
         ", erpControlKeyBo = " + erpControlKeyBo +
         ", erpWorkCenterBo = " + erpWorkCenterBo +
         ", erpInspectionComplete = " + erpInspectionComplete +
         ", erpOperation = " + erpOperation +
         ", operationActivityId = " + operationActivityId +
         "}";
   }
}